#!/bin/sh

# Copyright (c) 2023–2024 Emma Tebibyte <emma@tebibyte.media>
# SPDX-License-Identifier: FSFAP
#
# Copying and distribution of this file, with or without modification, are
# permitted in any medium without royalty provided the copyright notice and this
# notice are preserved.  This file is offered as-is, without any warranty.

set -e

. "./locales/$LANG"

export BIN=build/bin

if ! ls Makefile >/dev/null 2>&1
then
	printf '%s: %s\n' "$0" "$RUN_ERR" 1>&2 
	exit 1
fi

for script in tests/bonsai/*.sh; do
	export UTIL="$(printf '%s\n' "$script" \
		| sed -e 's/\.sh//g' -e 's;tests\/bonsai\/;;g')"

	printf '%s: %s: %s\n' "$0" "$UTIL" "$TEST_STR"
	"$script"
	printf '\n'
done

for test in tests/posix/*.sh; do
	export PATH="$BIN:$PATH"
	printf '%s: %s: %s\n' "$0" "$test" "$TEST_STR"
	"$utility"
	printf '\n'
done
